-- Note for the setting DischargeSummaryDocumentFormatCode:
-- The default value '1.2.36.1.2001.1006.1.20000.23' is the HPI-I enforced template.
-- With this setting the user must enter the HPI-I of the author and RHP.
-- If your organisation is given an exemption to the requirement to provide HPI-I
-- for author and RHP, change this setting to '1.2.36.1.2001.1006.1.20000.18'.
-- The PCEHR system operator must authorise your organisation to use this template.

SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS, NOCOUNT ON
GO
SET DATEFORMAT YMD
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION

	TRUNCATE TABLE [hipsui].[Sex]

	SET IDENTITY_INSERT [hipsui].[Sex] ON
	INSERT [hipsui].[Sex] ([SexId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (1, N'Male', N'Male', CAST(0x0000A23F00000000 AS DateTime), N'Admin', CAST(0x0000A23F00000000 AS DateTime), N'Admin')
	INSERT [hipsui].[Sex] ([SexId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (2, N'Female', N'Female', CAST(0x0000A13900000000 AS DateTime), N'Admin', CAST(0x0000A13900000000 AS DateTime), N'Admin')
	INSERT [hipsui].[Sex] ([SexId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (3, N'IntersexOrIndeterminate', N'Intersex Or Indeterminate', CAST(0x0000A13900000000 AS DateTime), N'Admin', CAST(0x0000A13900000000 AS DateTime), N'Admin')
	SET IDENTITY_INSERT [hipsui].[Sex] OFF

TRUNCATE TABLE [hipsui].[IdentityVerificationMethod]

SET IDENTITY_INSERT [hipsui].[IdentityVerificationMethod] ON
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (1, N'IdentityVerificationMethod1', N'Attending third or more consultation and Medicare/DVA card', 1, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (2, N'IdentityVerificationMethod2', N'Attending hospital with their clinical referral and Medicare/DVA card', 2, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (3, N'IdentityVerificationMethod3', N'Attending emergency department with PHOTO ID with Medicare/DVA card', 3, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (4, N'IdentityVerificationMethod4', N'Having prescriptions filled on three or more occasions in the past year and Medicare/DVA card', 4, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (5, N'IdentityVerificationMethod5', N'Enrolled and attending Aboriginal Medical Service and Medicare/DVA card', 5, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (6, N'IdentityVerificationMethod6', N'Attending third or more consultation and has a My eHealth Record', 6, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (7, N'IdentityVerificationMethod7', N'Identity verified by referee consistent with My eHealth Record requirements', 7, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (8, N'IdentityVerificationMethod8', N'Resident of Aged Care facility and Medicare/DVA card', 8, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (9, N'IdentityVerificationMethod9', N'100pts of documentary evidence consistent with PCEHR Consumer Identity Framework', 9, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
INSERT [hipsui].[IdentityVerificationMethod] ([IdentityVerificationMethodId], [Code], [Description], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (10, N'IdentityVerificationMethod10', N'Other criteria approved by the System Operator', 10, 1, CAST(0x00009CF100000000 AS DateTime), N'', CAST(0x00009CF100000000 AS DateTime), N'')
SET IDENTITY_INSERT [hipsui].[IdentityVerificationMethod] OFF

TRUNCATE TABLE [hipsui].[IndigenousStatus]

SET IDENTITY_INSERT [hipsui].[IndigenousStatus] ON
INSERT [hipsui].[IndigenousStatus] ([IndigenousStatusId], [Code], [Description], [DisplayOrder], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (1, N'NeitherAboriginalAndTorresStraitIslander', N'No', 1, GETDATE(), N'', GETDATE(), N'')
INSERT [hipsui].[IndigenousStatus] ([IndigenousStatusId], [Code], [Description], [DisplayOrder], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (2, N'AboriginalNotTorresStraitIslander', N'Yes, Aboriginal', 2, GETDATE(), N'', GETDATE(), N'')
INSERT [hipsui].[IndigenousStatus] ([IndigenousStatusId], [Code], [Description], [DisplayOrder], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (3, N'TorresStraitIslanderNotAboriginal', N'Yes, Torres Strait Islander', 3, GETDATE(), N'', GETDATE(), N'')
INSERT [hipsui].[IndigenousStatus] ([IndigenousStatusId], [Code], [Description], [DisplayOrder], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (4, N'BothAboriginalAndTorresStraitIslander', N'Yes, Aboriginal and Torres Strait Islander', 4, GETDATE(), N'', GETDATE(), N'')
INSERT [hipsui].[IndigenousStatus] ([IndigenousStatusId], [Code], [Description], [DisplayOrder], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (5, N'NotStatedInadequatelyDescribed', N'Not Stated', 5, GETDATE(), N'', GETDATE(), N'')
SET IDENTITY_INSERT [hipsui].[IndigenousStatus] OFF

TRUNCATE TABLE [hipsui].[IvcDeliveryMethod]

SET IDENTITY_INSERT [hipsui].[IvcDeliveryMethod] ON
INSERT [hipsui].[IvcDeliveryMethod] ([IvcDeliveryMethodId], [Code], [Description], [RequiresDestination], [RequiresDestinationConfirm], [DestinationLabel], [ValidationRegex], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified], [DisplayOrder]) VALUES (1, N'response', N'Display the IVC', 0, 0, NULL, N'', 1, GETDATE(), N'Admin', GETDATE(), N'Admin', 1)
INSERT [hipsui].[IvcDeliveryMethod] ([IvcDeliveryMethodId], [Code], [Description], [RequiresDestination], [RequiresDestinationConfirm], [DestinationLabel], [ValidationRegex], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified], [DisplayOrder]) VALUES (2, N'sms', N'Send the IVC by SMS to: ', 1, 0, N'Mobile Number', N'', 1, GETDATE(), N'Admin', GETDATE(), N'Admin', 2)
INSERT [hipsui].[IvcDeliveryMethod] ([IvcDeliveryMethodId], [Code], [Description], [RequiresDestination], [RequiresDestinationConfirm], [DestinationLabel], [ValidationRegex], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified], [DisplayOrder]) VALUES (3, N'email', N'Send the IVC by Email to: ', 1, 0, N'Email', N'', 1, GETDATE(), N'Admin', GETDATE(), N'Admin', 3)
INSERT [hipsui].[IvcDeliveryMethod] ([IvcDeliveryMethodId], [Code], [Description], [RequiresDestination], [RequiresDestinationConfirm], [DestinationLabel], [ValidationRegex], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified], [DisplayOrder]) VALUES (4, N'mail', N'Send the IVC by Mail to the address held by Medicare', 0, 0, NULL, N'', 0, GETDATE(), N'Admin', GETDATE(), N'Admin', 4)
INSERT [hipsui].[IvcDeliveryMethod] ([IvcDeliveryMethodId], [Code], [Description], [RequiresDestination], [RequiresDestinationConfirm], [DestinationLabel], [ValidationRegex], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified], [DisplayOrder]) VALUES (5, N'none', N'Do not retrieve or send the IVC', 0, 0, NULL, N'', 1, GETDATE(), N'Admin', GETDATE(), N'Admin', 5)
SET IDENTITY_INSERT [hipsui].[IvcDeliveryMethod] OFF

TRUNCATE TABLE [hipsui].[MedicareConsent]

SET IDENTITY_INSERT [hipsui].[MedicareConsent] ON
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (1, N'MBS', N'Medicare Benefits Schedule (MBS)', NULL, 1, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (2, N'MBSPastAssimilation', N'AND details of any past claims for Medicare Benefits', 1, 1, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (3, N'PBS', N'Pharmaceutical Benefits Scheme (PBS)', NULL, 2, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (4, N'PBSPastAssimilation', N'AND details of any past claims for Pharmaceutical', 3, 1, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (5, N'AODR', N'Australian Organ Donor Register (AODR)', NULL, 3, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[MedicareConsent] ([MedicareConsentId], [Code], [Description], [ParentMedicareConsentId], [DisplayOrder], [IsEnabled], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (6, N'ACIR', N'Australian Childhood Immunisation Register (ACIR)', NULL, 4, 1, GETDATE(), N'Admin', GETDATE(), N'Admin')
SET IDENTITY_INSERT [hipsui].[MedicareConsent] OFF

TRUNCATE TABLE [hipsui].[ClinicalSpecialty]

SET IDENTITY_INSERT [hipsui].[ClinicalSpecialty] ON
INSERT INTO [hipsui].[ClinicalSpecialty] ([ClinicalSpecialtyId], [Code] ,[Description] ,[DateCreated] ,[UserCreated] ,[DateModified] ,[UserModified]) VALUES (1, N'Code1' , N'Clinical Specialty 1' ,GETDATE() , N'Admin' ,GETDATE() , N'Admin')
INSERT INTO [hipsui].[ClinicalSpecialty] ([ClinicalSpecialtyId], [Code] ,[Description] ,[DateCreated] ,[UserCreated] ,[DateModified] ,[UserModified]) VALUES (2, N'Code2' , N'Clinical Specialty 2' ,GETDATE() , N'Admin' ,GETDATE() , N'Admin')
INSERT INTO [hipsui].[ClinicalSpecialty] ([ClinicalSpecialtyId], [Code] ,[Description] ,[DateCreated] ,[UserCreated] ,[DateModified] ,[UserModified]) VALUES (3, N'Code3' , N'Clinical Specialty 3' ,GETDATE() , N'Admin' ,GETDATE() , N'Admin')
INSERT INTO [hipsui].[ClinicalSpecialty] ([ClinicalSpecialtyId], [Code] ,[Description] ,[DateCreated] ,[UserCreated] ,[DateModified] ,[UserModified]) VALUES (4, N'Code4' , N'Clinical Specialty 4' ,GETDATE() , N'Admin' ,GETDATE() , N'Admin')
INSERT INTO [hipsui].[ClinicalSpecialty] ([ClinicalSpecialtyId], [Code] ,[Description] ,[DateCreated] ,[UserCreated] ,[DateModified] ,[UserModified]) VALUES (5, N'Code5' , N'Clinical Specialty 5' ,GETDATE() , N'Admin' ,GETDATE() , N'Admin')
SET IDENTITY_INSERT [hipsui].[ClinicalSpecialty] OFF

TRUNCATE TABLE [hipsui].[ProximityRadius]

SET IDENTITY_INSERT [hipsui].[ProximityRadius] ON
INSERT [hipsui].[ProximityRadius] ([ProximityRadiusId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (1, N'5', N'5 km', CAST(0x0000A23F00000000 AS DateTime), N'Admin', CAST(0x0000A23F00000000 AS DateTime), N'Admin')
INSERT [hipsui].[ProximityRadius] ([ProximityRadiusId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (2, N'10', N'10 km', CAST(0x0000A13900000000 AS DateTime), N'Admin', CAST(0x0000A13900000000 AS DateTime), N'Admin')
INSERT [hipsui].[ProximityRadius] ([ProximityRadiusId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (3, N'20', N'20 km', CAST(0x0000A13900000000 AS DateTime), N'Admin', CAST(0x0000A13900000000 AS DateTime), N'Admin')
INSERT [hipsui].[ProximityRadius] ([ProximityRadiusId], [Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (4, N'50', N'50 km', CAST(0x0000A13900000000 AS DateTime), N'Admin', CAST(0x0000A13900000000 AS DateTime), N'Admin')
SET IDENTITY_INSERT [hipsui].[ProximityRadius] OFF

TRUNCATE TABLE [hipsui].[Setting]

INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DefaultHospitalCodeSystem', N'pasFacCd', N'The default hospital code system used by the application.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'PcehrViewServiceDateDocumentClasses', N'18842-5', N'PCEHR View: CSV of document class codes for which service dates should be displayed. Used when displaying document metadata in the document lists.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'PcehrViewFromDateOffsetMonths', N'-24', N'PCEHR View: Negative integer value representing the number of months the "From" date criterion for the Prescription Dispense View will be offset from the current date by default.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'PcehrViewPDDocumentClasses', N'100.16764,100.16765', N'PCEHR View: CSV of document class codes for the Prescription and Dispense document classifications.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'PcehrViewPatientDaysDischarged', N'0', N'PCEHR View: The number of days since a patient has been discharged to still show the patient on the list of patients whose PCEHR can be viewed.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'PatientsWithoutIhiDaysDischarged', N'5', N'Data Integrity: The number of days since a patient has been discharged to still show the patient on the list of patients without an IHI.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DiscloseHiddenPcehrDaysDischarged', N'5', N'Disclose Hidden PCEHR: The number of days since a patient has been discharged to still show the patient on the list of patients who can disclose the existence of a PCEHR.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DiscloseHiddenPcehrDaysAfterService', N'5', N'Disclose Hidden PCEHR: The number of days after service date that non-inpatients are included in the list. Set to 0 to exclude non-inpatients.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'WithdrawConsentPatientListDaysDischarged', N'5', N'Withdraw Consent: The number of days since a patient has been discharged to still show the patient on the list of patients who can withdraw consent to upload documents to their PCEHR.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'WithdrawConsentEpisodeListDaysDischarged', N'365', N'Withdraw Consent: The number of days after the patient has been discharged to show an episode on the list of episodes for which the patient can withdraw consent.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'RemoveDocumentDaysDischarged', N'30', N'Remove Document: The number of days since a patient has been discharged to still show the patient on the list of patients whose documents can be removed from their PCEHR.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'RemoveDocumentDaysAfterService', N'0', N'Remove Document: The number of days after service date that non-inpatients are included in the list. Set to 0 to exclude non-inpatients.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryPatientListDaysDischarged', N'5', N'Discharge Summary: The number of days since a patient has been discharged.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryEpisodeListDaysDischarged', N'365', N'Discharge Summary: The number of days after the patient has been discharged to show an episode on the list of episodes for which the patient can upload or supersede documents to their PCEHR.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryDocumentTypeCode', N'18842-5', N'Discharge Summary: The document type code for Discharge Summary', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryDocumentFormatCode', N'1.2.36.1.2001.1006.1.20000.23', N'Discharge Summary: The document format code for Discharge summary', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryAuthor', N'None', N'Discharge Summary: The author for Discharge summary', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'DischargeSummaryRHP', N'None', N'Discharge Summary: The responsible health professional (RHP) for Discharge summary', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'SecurityGroupCodeSystem', N'SecurityGroup', N'Code System for a hospital code which is comma-separated list of security groups whose members may access HIPS Web UI on behalf of the hospital.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'MessageDeliveryViewFromDateOffsetDays', N'-7', N'Message Delivery View: Negative integer value representing the number of days of the "From" date criterion for the Message Delivery View will be offset from the current date by default.', GETDATE(), N'Admin', GETDATE(), N'Admin')
INSERT [hipsui].[Setting] ([Code], [Value], [SettingDescription], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES (N'MessageReceiptViewFromDateOffsetDays', N'-7', N'Message Receipt View: Negative integer value representing the number of days of the "From" date criterion for the Message Receipt View will be offset from the current date by default.', GETDATE(), N'Admin', GETDATE(), N'Admin')

TRUNCATE TABLE [hipsui].[Title]

INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'DR', 'Dr', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MS', 'Ms', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MISS', 'Miss', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MRS', 'Mrs', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MR', 'Mr', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'PROF', 'Prof', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MAST', 'MAST', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MST', 'MST', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'MSTR', 'MSTR', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'SR', 'SR', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'UNK', 'UNK', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Title] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'REV', 'REV', GETDATE(), 'Admin', GETDATE(),'Admin')

TRUNCATE TABLE [hipsui].[Suffix]

INSERT INTO [hipsui].[Suffix] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'JR', 'Jr', GETDATE(), 'Admin', GETDATE(),'Admin')
INSERT INTO [hipsui].[Suffix] ([Code], [Description], [DateCreated], [UserCreated], [DateModified], [UserModified]) VALUES ( 'Sr', 'Sr', GETDATE(), 'Admin', GETDATE(),'Admin')

COMMIT TRANSACTION
GO

