﻿using HIPS.PcehrSchemas;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Xml;

namespace HIPS.CommonSchemas.Cda
{
    /// <summary>
    /// Represents a CDA document.
    /// </summary>
    public class CdaDocument
    {
        /// <summary>
        /// Gets or sets the list of attachments.
        /// </summary>
        public List<Attachment> Attachments { get; set; }

        /// <summary>
        /// Gets or sets the document encoded as UTF-8 without BOM.
        /// </summary>
        public byte[] Content { get; set; }

        /// <summary>
        /// Gets or sets the document as an XML document.
        /// </summary>
        public XmlDocument Document { get; set; }
    }
}