﻿namespace HIPS.Web.Model.PatientIdentifier
{
    /// <summary>
    /// Abstract base class for identifying a patient.
    /// </summary>
    public abstract class PatientIdentifierBase
    {
        /// <summary>
        /// Gets or sets the code of the hospital in which the patient is registered.
        /// </summary>
        public string HospitalCode { get; set; }

        /// <summary>
        /// Gets or sets the code system of the code of the hospital in which the patient is registered.
        /// </summary>
        public string HospitalCodeSystem { get; set; }
    }
}