﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HIPS.Web.Model.Subscription
{
    /// <summary>
    /// Attachment to a message.
    /// </summary>
    public class SearchResult
    {
        /// <summary>
        /// Gets or sets the list of individuals.
        /// </summary>
        public List<ProviderIndividual> Individuals { get; set; }

        /// <summary>
        /// Gets or sets the list of organisations.
        /// </summary>
        public List<ProviderOrganisation> Organisations { get; set; }

        /// <summary>
        /// Gets or sets the list of locations.
        /// </summary>
        public List<ProviderLocation> Locations { get; set; }

        /// <summary>
        /// Gets or sets the list of links.
        /// </summary>
        public List<ProviderLink> Links { get; set; }

        /// <summary>
        /// Gets or sets the list of interaction records.
        /// </summary>
        public List<InteractionRecord> InteractionRecords { get; set; }

        /// <summary>
        /// Gets or sets the list of document channel preferences.
        /// </summary>
        public List<DocumentChannelPreference> DocumentChannelPreferences { get; set; }
    }
}
