﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HIPS.Web.Model.Subscription
{
    public class ServiceInterface
    {
        #region Properties

        /// <summary>
        /// Gets or sets the unique identifier of the service interface.
        /// </summary>
        public string QualifiedIdentifier { get; set; }

        /// <summary>
        /// Gets or sets the name of the service interface.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets any additional comments associated with the service interface.
        /// </summary>
        public string AdditionalComments { get; set; }

        /// <summary>
        /// Gets or sets an integer value representing the priority associated with the service interface, where higher priorities are represented by higher values.
        /// </summary>
        public int PriorityNumber { get; set; }

        #endregion

    }
}
