using System;
using System.Collections.Generic;
using HIPS.PcehrSchemas;
using HIPS.Web.Model.AssistedRegistration;

namespace HIPS.Web.ModelInterface.AssistedRegistration
{
    /// <summary>
    /// Defines the operations to be supported by an implementation of a patients without PCEHR repository.
    /// </summary>
    public interface IPatientsWithoutPcehrRepository : IDisposable
    {
        PatientWithoutPcehrResponse ListPatientsWithoutPcehr(string hospitalCodeSystem, string hospitalCode);

        List<ValidatedPatient> GetPatientsWithoutPcehr(string hospitalCodeSystem, List<Sex> sexes);

        List<ValidatedPatient> GetPatientsWithoutPcehr(string hospitalCodeSystem, string hospitalCode, List<Sex> sexes);
    }
}