﻿using System;
using System.Collections.Generic;
using HIPS.Web.Model.Common;

namespace HIPS.Web.ModelInterface.Common
{
    /// <summary>
    /// Defines the operations to be supported by an implementation of a settings repository.
    /// </summary>
    public interface ISettingsRepository : IDisposable
    {
        /// <summary>
        /// Retrieves a list of settings.
        /// </summary>
        /// <returns>List of settings.</returns>
        List<Setting> GetSettings();
    }
}